# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hgettext

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.1.30
Release:        3%{?dist}
Summary:        Haskell binding to libintl

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-setlocale-devel
BuildRequires:  ghc-uniplate-devel
# End cabal-rpm deps

%description
Bindings to libintl.h (gettext, bindtextdomain).


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       ghc-%{pkg_name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc


%files devel -f %{name}-devel.files
%{_bindir}/%{pkg_name}


%changelog
* Thu Sep 25 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-3
- Rebuilt for ghc-setlocale 1.0.0.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.1.30-1
- spec file generated by cabal-rpm-0.8.11
